.box{
	max-width: 400px;
	width: 100%;


  }
  .box .search-box{
	position: relative;
	height: 50px;
	max-width: 380px;
	box-shadow: 0 5px 10px rgba(0, 0, 0, 0.25);
	border-radius: 25px;
	transition: all 0.3s ease;
	left: 95%;
    margin-right: -95%;

  }
  #check:checked ~ .search-box{
	max-width: 380px;
  }
  .search-box input{
   position: absolute;
   height: 100%;
   width: 100%;
   border-radius: 25px;
   background: #fff;
   outline: none;
   border: none;
   padding-left: 40px;
   font-size: 18px;
  }
  .search-box .icon{
	position: absolute;
	right: -2px;
	top: 0;
	width: 60px;
	background: #0096EB;
	height: 100%;
	text-align: center;
	line-height: 50px;
	color: #fff;
	font-size: 20px;
	border-radius: 0 25px 25px 0;
  }
  #check{
	display: none;
  }
@media only screen and (max-width: 768px) {
.box{
	max-width: 400px;
	width: 100%;

  }
  .box .search-box{
	position: relative;
	height: 50px;
	max-width: 50px;
	margin: auto;
	box-shadow: 0 5px 10px rgba(0, 0, 0, 0.25);
	border-radius: 25px;
	transition: all 0.3s ease;
	left: 0;
  }
  #check:checked ~ .search-box{
	max-width: 380px;
  }
  .search-box input{
   position: absolute;
   height: 100%;
   width: 100%;
   border-radius: 25px;
   background: #fff;
   outline: none;
   border: none;
   padding-left: 10px;
   font-size: 18px;
  }
  .search-box .icon{
	position: absolute;
	right: -2px;
	top: 0;
	width: 50px;
	background: #FFF;
	height: 100%;
	text-align: center;
	line-height: 50px;
	color: #0096EB;
	font-size: 20px;
	border-radius: 25px;
  }
  #check:checked ~ .search-box .icon{
	background: #0096EB;
	color: #FFF;
	width: 60px;
	border-radius: 0 25px 25px 0;
  }
  #check{
	display: none;
  }
}
@media only screen and (min-width: 1180px) {
.box{
	max-width: 400px;
	width: 100%;


  }
  .box .search-box{
	position: relative;
	height: 50px;
	max-width: 380px;
	box-shadow: 0 5px 10px rgba(0, 0, 0, 0.25);
	border-radius: 25px;
	transition: all 0.3s ease;
	left: 65%;
    margin-right: -50%;

  }
  #check:checked ~ .search-box{
	max-width: 380px;
  }
  .search-box input{
   position: absolute;
   height: 100%;
   width: 100%;
   border-radius: 25px;
   background: #fff;
   outline: none;
   border: none;
   padding-left: 40px;
   font-size: 18px;
  }
  .search-box .icon{
	position: absolute;
	right: -2px;
	top: 0;
	width: 60px;
	background: #0096EB;
	height: 100%;
	text-align: center;
	line-height: 50px;
	color: #fff;
	font-size: 20px;
	border-radius: 0 25px 25px 0;
  }
  #check{
	display: none;
	}
}